Observability
All operations require authentication.
List VAC detection eventsProduction
Returns the detection events of the VAC DDoS protection, with their start and end dates and attack vectors when available. Filter by date range, region or subnet. Ongoing events, not finished, can be requested on their own.
Query parameters
Query events which started after the given date
Query events which ended before the given date
Query for ongoing events only. If this is set, after and before parameters are ignored.
Query events for the given region
CAEUUSQuery events for the given subnets
Headers
Pagination cursor
Pagination size
Response
List of events
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ networkDefense/ vac/ event \
-H "authorization: Bearer $OVH_TOKEN"{ "events": [ { "endedAt": "2024-01-01T12:00:00Z", "startedAt": "2024-01-01T12:00:00Z", "subnet": "192.0.2.0/24", "vectors": [ "CHARGEN" ] } ]}
Get VAC traffic statisticsProduction
Returns the traffic dropped and passed by the VAC DDoS protection after a detection event. Request by subnet, IPv4 /32 or IPv6 /64 CIDR, in bits and packets per second, over a date range.
Query parameters
Query statistics after the given date
Query statistics before the given date
Query statistics for the given subnet (currently, only IPv4/32 or IPv6/64 are supported)
Headers
Pagination cursor
Pagination size
Response
Bits per seconds statistics
Packets per seconds statistics
Timestamps of the statistics points
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ networkDefense/ vac/ traffic \
-H "authorization: Bearer $OVH_TOKEN"{ "bps": { "dropped": [ "string" ], "passed": [ "string" ] }, "pps": { "dropped": [ "string" ], "passed": [ "string" ] }, "timestamps": [ "2024-01-01T12:00:00Z" ]}